namespace Tesses.CMS.Avalonia.ViewModels;

using System;
using System.Collections.ObjectModel;
using System.Linq;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using CommunityToolkit.Mvvm.Messaging;
using Tesses.CMS.Avalonia.Models;
using System.Threading.Tasks;
using ReactiveUI;
using Tesses.CMS.Avalonia.Views.HomePages;
using Tesses.CMS.Avalonia.ViewModels.HomePages;

public partial class AccountViewModel : ViewModelBase
{
   

    MainViewModel m;

    public AccountViewModel(MainViewModel m)
    {
        this.m = m;
        this.LogoutCommand = ReactiveCommand.CreateFromTask(LogoutAsync);
    }


    public IReactiveCommand LogoutCommand {get;init;}

    public async Task LogoutAsync()
    {
       App.Client.Users.LoginToken = App.Platform.Configuration.LoginToken;
      
       
       await App.Client.Users.LogoutAsync();
       
       (m.LoginText,_) = App.LoginData();
        m.CurrentPage = new HomePageViewModel();
    }
}