namespace Tesses.CMS.Avalonia.ViewModels.HomePages;

using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using CommunityToolkit.Mvvm.Messaging;
using global::Avalonia.Controls;
using Tesses.CMS.Avalonia.Models;
using Tesses.CMS.Avalonia.Views.HomePages;
using Tesses.CMS.Client;

public partial class HomeAboutMePageViewModel : ViewModelBase, IBackable
{
    HomePageViewModel homePage;
    HomeUserPageViewModel userPage;

    [ObservableProperty]
    private string _aboutMe;

    [ObservableProperty]
    private string _properName;

    public HomeAboutMePageViewModel(HomePageViewModel homePage,HomeUserPageViewModel userPage)
    {
        App.Log("In HomeAboutMePageViewModel::ctor block begin");
        this.homePage = homePage;
        this.userPage = userPage;
        this.AboutMe = userPage.Account.AboutMe;
        this.ProperName = $"About {userPage.Account.ProperName}";

        App.Log("In HomeAboutMePageViewModel::ctor block end");

    }

    public ViewModelBase Back()
    {
        return userPage;
    }
}