namespace Tesses.CMS.Avalonia.ViewModels;

using System;
using System.Collections.ObjectModel;
using System.Linq;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using CommunityToolkit.Mvvm.Messaging;
using Tesses.CMS.Avalonia.Models;
using System.Threading.Tasks;
using ReactiveUI;
using Tesses.CMS.Avalonia.Views.HomePages;
using Tesses.CMS.Avalonia.ViewModels.HomePages;

public partial class LoginViewModel : ViewModelBase
{
    [ObservableProperty]
    private string _email="";

    [ObservableProperty]
    private string _password="";

    [ObservableProperty]
    private bool _failed=false;

    MainViewModel m;

    public LoginViewModel(MainViewModel m)
    {
        this.m = m;
        this.LoginCommand = ReactiveCommand.CreateFromTask(LoginAsync);
    }


    public IReactiveCommand LoginCommand {get;init;}

    public async Task LoginAsync()
    {
        Failed=false;
        var tkn= await App.Client.Users.CreateTokenAsync(Email,Password);
        if(tkn.Success)
        {
            App.Platform.Configuration.LoginToken = tkn.Cookie;
            await App.Platform.WriteConfigurationAsync();
            (m.LoginText,_) = App.LoginData();
            m.CurrentPage = new HomePageViewModel();
        }
        else
        {
            Failed=true;
        }
    }
}